%define aurox_ver 10.2
%define rel 1


Summary: The Advanced Linux Sound Architecture (ALSA) utilities.
Name: alsa-utils
Version: 1.0.8
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/Multimedia
Source0: ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}%{?prever}.tar.bz2
Source1: alsactl.init
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: alsa-lib >= 1.0.0, alsa-driver >= 1.0.0
BuildRequires: alsa-lib-devel >= 1.0.0, ncurses-devel
PreReq: chkconfig

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes utilities for systems using ALSA.

%prep
%setup -q -n %{name}-%{version}%{?prever}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -D -m755 %{SOURCE1} %{buildroot}/etc/init.d/alsactl

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO
/etc/init.d/alsactl
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
/usr/share/locale/ja/LC_MESSAGES/alsaconf.mo

%post
if [ $1 = 2 ]; then # ensure chkconfig will install properly
	test -e /etc/rc0.d/S01alsactl && rm -f /etc/rc0.d/S01alsactl
	test -e /etc/rc6.d/S01alsactl && rm -f /etc/rc6.d/S01alsactl
fi
chkconfig --add alsactl

%preun
if [ $1 = 0 ]; then
	chkconfig --del alsactl
fi

%changelog
* Thu Sep 30 2004 Aurox Team <aurox@aurox.org> 0:1.0.6-10.1.aur.1
- version 1.0.6
- Restore and save mixer settings on startup / shutdown.
- Upgrade to 1.0.5

* Wed Jul 30 2003 Robert Glowczynski <robertg@software.com.pl> 0.9.4-9.1.aur.1
- rebuild.

* Thu Jun 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.4.

* Wed May  7 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Change all alsa deps from = to >= since it triggered an apt bug.

* Thu May  1 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.3.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Wed Mar 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.2.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc8a.
- Update to 0.9.1!

* Mon Mar  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc8.

* Mon Feb  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc7.

* Mon Nov 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc6.

* Wed Oct 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc4, then rc5.
- Added the alsactl init script.

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Tue Aug 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat Linux.

* Tue Nov 20 2001 Jaroslav Kysela <perex@suse.cz>
- changed BuildRoot from /tmp to /var/tmp
- %_prefix and %_mandir macros are used for configure and mkdir
- DESTDIR is used for make install

* Sun Nov 11 2001 Miroslav Benes <mbenes@tenez.cz>
- dangerous command "rpm -rf $RPM_BUILD_ROOT" checks $RPM_BUILD_ROOT variable
- unset key "Docdir" - on some new systems are documentation in /usr/share/doc

* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file

